<br/>

# LabQuant

<br/>

**LabQuant** is a tool to support the development and evaluation of algo-strategies in quantitative finance. This initiative is a continuation of the labtrade project, bringing a complete upgrade of the previous one.

This project aims to be an auxiliary tool for scientific research in the quantitative environment, making it easy and fast to prototype ideas that may or may not be profitable. Profitable strategies are quite complex, due to the non-linear behavior of prices. Several optimized solutions and libraries were used in the development, bringing several features such as: OHLC manipulation at scale, Monte Carlo testing, hyperparameter simulations with search in grid, randomized and Bayesian optimizations, plus other features.

<br/>

### Warning

This tool should be used for research purposes and for prototyping ideas, therefore not using it as a unique starting point for decision making in the real market. Unsuccessful operations can lead to incalculable financial losses.

<br/>

## Features

- Support for develop strategies in tecnhical analisys, machine learning and deep learning techniques
- Future and Spot markets strategies
- Strategy backtest
- Backtest with data window filter - ROI (Region of Interest)
- Analyse of performance (Equity-curves | Drawndowns | Trad returns | Hit-rate | Cumulative gains)
- Analyse of risk (Sharpe-Ratio | Sortino | Calmar)
- Market emulation (stop-loss | stop-gain | oders-fee's)
- OHLC data manipulation at scale - tested with 5 million of ticks
- Monte Carlo analysis
- Hyperparameter search (Grid | Random | Bayesian Optmization)
- User-friendly visual for quantitative analysis powered by awesome PyQtGraph project
- Prototype and evaluate your algo-strategies with just a few lines of code

<br/>


